---
updatedAt: 2025-11-14T21:11:59.000Z
agentTools:
  projectIndex: https://developers.rebrandly.com/llms.txt
---

# Getting domain details

Each Domain object has its own URL: `https://api.rebrandly.com/v1/domains/{id}`, where `{id}` is the unique identifier of the branded domain.\
To get Domain object details, you should HTTP `GET` on the specific domain endpoint, and a JSON object representing the domain will be returned.

## PATH PARAMETERS

| Path parameter | Description                                                           |
| :------------- | :-------------------------------------------------------------------- |
| id             | Unique identifier of the branded domain you want to get details about |

## GETting Domain details

```curl
$ curl 'https://api.rebrandly.com/v1/domains/4d20ec31db1e48c5aded19e93f137a11' \
-H 'apikey: YOUR_API_KEY'
```

## JSON Response (Domain details)

```json
{
  "id": "4d20ec31db1e48c5aded19e93f137a11",
  "fullName": "brand.cool",
  "topLevelDomain": "cool",
  "createdAt": "2016-07-01T13:12:22.000Z",
  "updatedAt": "2016-07-03T13:17:50.000Z",
  "type": "user",
  "active": false
}
```

## Handling errors

| HTTP Status | Error type                                  | Description                                           |
| :---------- | :------------------------------------------ | :---------------------------------------------------- |
| 404         | [404 - Not found](https://developers.rebrandly.com/docs/404-not-found-errors) | Given `id` does not correspond to any existing domain |